> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get speech task

> Poll a scene speech regeneration task.

MCP tool: `podcast_get_speech_task`. OAuth scope: `podcast.read`.

<Note>Omit `Idempotency-Key` when polling or requesting a fresh estimate. Replaying a previous response can return stale state.</Note>


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/speech/tasks/result
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/speech/tasks/result:
    post:
      tags:
        - Podcast
      summary: get speech task
      description: Poll a scene speech regeneration task.
      operationId: podcast_get_speech_task
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.PodcastTTSTaskReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PodcastRedoTTSTaskResultResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.PodcastTTSTaskReq:
      properties:
        task_id:
          description: 异步任务ID
          type: string
      required:
        - task_id
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PodcastRedoTTSTaskResultResp:
      properties:
        duration:
          type: number
        err_code:
          type: integer
        err_msg:
          type: string
        preview_audio_url:
          type: string
        scene_idx:
          type: integer
        scene_key:
          type: string
        status:
          type: integer
        task_id:
          type: string
        word_seq:
          items:
            $ref: '#/components/schemas/vo.SubtitleWordSeq'
          type: array
      type: object
    vo.SubtitleWordSeq:
      properties:
        break:
          description: 前端使用；打断方式，默认为空, 'line' = 强制换行 ｜ 'page' = 强制换页
          type: string
        end:
          description: 单词结束时间，注意这个时间要以当前subtitle的开始时间为准
          type: number
        hide:
          description: 隐藏方式，默认为空, 'true' = 隐藏
          type: boolean
        key:
          description: 单词唯一标识
          type: string
        start:
          description: 单词开始时间，注意这个时间要以当前subtitle的开始时间为准
          type: number
        text:
          description: 字幕单词/单字
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````